/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <MtpPacket.h>
#include "../includes/common.h"
#include "../includes/memutils.h"

char enable_selective_overload = ENABLE_NONE;

int main() {
    enable_selective_overload = ENABLE_ALL;
    android::MtpPacket mtpPacket(16 /* bufferSize */);
    enable_selective_overload = ENABLE_FREE_CHECK | ENABLE_REALLOC_CHECK;

    // Without Fix, OOB Write is seen in 'MtpPacket::setParameter()'
    mtpPacket.setParameter(4 /* index */, 0 /* value */);
    return EXIT_SUCCESS;
}
